package korsk;

import java.util.ArrayList;
import java.util.List;
import java.util.Random;

public class Hegymsz {
	
	public static Opertor[] opertorok = new Opertor[] {
		new Opertor(1, 2),
		new Opertor(1, 3),
		new Opertor(2, 1),
		new Opertor(2, 3),
		new Opertor(3, 1),
		new Opertor(3, 2),
		
	};
	
	public static Random random = new Random();
	
	public static llapot keres() {
		
		llapot aktulisllapot = new llapot();
		
		while ( ! aktulisllapot.clllapot() ) {
			
			List<Opertor> alkalmazhat = new ArrayList<>();
			for ( Opertor o : opertorok)
				if ( o.alklamazhat(aktulisllapot) )
					alkalmazhat.add(o);
			
			if ( alkalmazhat.isEmpty() )
				return null;
			
			System.out.println(" > "+aktulisllapot);
			
			Opertor best = null;
			int min = 0;
			for ( Opertor o : alkalmazhat ) {
				int h = o.alkalmaz(aktulisllapot).heurisztika();
				if ( best == null || h < min ) {
					best = o;
					min = h;
				}
			}
			
			aktulisllapot = best.alkalmaz(aktulisllapot);
		}
		
		return aktulisllapot;
		
	}
	

}
